import { Component } from '@angular/core';
import { StatusBar } from '@ionic-native/status-bar/ngx';
import { Platform } from '@ionic/angular';
import { StorageService } from './services/storage.service';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  styleUrls: ['app.component.scss'],
})
export class AppComponent {
  constructor(private statusbar: StatusBar, private platform: Platform, private storage: StorageService) {}

  async ngOnInit() {
    await this.platform.ready();
    console.log("[App] Initializing Authentes app...");
    this.statusbar.hide();
    await this.storage.init();

  }
}
